#!/usr/bin/env bash

echo "Archivo generado con Patchwerk (c) mrm/AnimeUnderground"
echo
if [[ ! $(which xdelta3) ]]; then
	echo "Es necesario tener instalado xdelta3. Saliendo."
	exit -1
else
if [[ ! -f "[inshuheki-fnf] Steins;Gate - 18 [C9FC2B1B].mkv" ]]; then
		echo "No se encuentra el fichero de origen: [inshuheki-fnf] Steins;Gate - 18 [C9FC2B1B].mkv"
		exit -1
	fi

if [[ ! -f "Steins18v1tov2.xdelta" ]]; then
		echo "No se encuentra el parche: Steins18v1tov2.xdelta"
		exit -1
	fi

	echo "Archivo de origen: [inshuheki-fnf] Steins;Gate - 18 [C9FC2B1B].mkv"
	echo "Archivo de destino: [inshuheki-fnf] Steins;Gate - 18 [147BA498].mkv"
	echo "Aplicando parche..."
	xdelta3 -d -s "[inshuheki-fnf] Steins;Gate - 18 [C9FC2B1B].mkv" "Steins18v1tov2.xdelta" "[inshuheki-fnf] Steins;Gate - 18 [147BA498].mkv"
	echo "Parche aplicado."
fi

exit 0
